%global debug_package %{nil}

%global commit 65e512dceb2d544c71111396f8ffd9e851d73994
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           cppcodec
Version:        0
Release:        0.20171002.git.%{shortcommit}%{?dist}
Summary:        Header-only C++11 library to encode/decode base64/base64url/base32/base32hex/hex

License:        MIT
URL:            https://github.com/tplgy/cppcodec
Source0:        %{url}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires:  cmake
BuildRequires:  make
BuildRequires:  gcc-c++
BuildRequires:  catch-devel

%global _description \
Header-only C++11 library to encode/decode base64, base64url, base32, base32hex\
and hex (a.k.a. base16) as specified in RFC 4648, plus Crockford's base32.\
\
MIT licensed with consistent, flexible API. Supports raw pointers,\
std::string and (templated) character vectors without unnecessary allocations.

%description %{_description}

%package        devel
Summary:        %{summary}
Provides:       %{name}-static = %{?epoch:%{epoch}:}%{version}-%{release}

%description    devel %{_description}

%prep
%autosetup -n %{name}-%{commit}
# System-wide catch
sed -i -e 's|"catch/single_include/catch.hpp"|<catch/catch.hpp>|' test/test_cppcodec.cpp

%build
mkdir %{_target_platform}
pushd %{_target_platform}
  %cmake ..
popd
%make_build -C %{_target_platform}

%install
%make_install -C %{_target_platform}

%check
%make_build test -C %{_target_platform}

%files devel
%license LICENSE.txt
%doc README.md
%{_includedir}/%{name}/

%changelog
* Mon Oct 02 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0-0.20171002.git.65e512d
- Update to latest snapshot

* Tue Apr 04 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0-0.20170404.git.61d9b04
- Initial package
